%define pypi_name cffi
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python2_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{pypi_name}
Version:        1.7.0
Release:        %mkrel 1
Group:          Development/Python
Summary:        Foreign Function Interface for Python calling C code

License:        MIT
URL:            http://cffi.readthedocs.org/
Source0:        https://pypi.io/packages/source/c/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
 
BuildRequires:  python-devel
BuildRequires:  python-sphinx
BuildRequires:  python-sphinx_rtd_theme
BuildRequires:  python-setuptools
BuildRequires:  libffi-devel
BuildRequires:  python-cython
BuildRequires:  python-pycparser
 
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-cython
BuildRequires:  python3-pycparser
 

%description
Foreign Function Interface for Python calling C code.
The aim of this project is to provide a convenient and 
reliable way of calling C code from Python. 
The interface is based on LuaJIT’s FFI.

%package -n     python3-%{pypi_name}
Summary:        Foreign Function Interface for Python 3 calling C code
Group:          Development/Python

%description -n python3-%{pypi_name}
Foreign Function Interface for Python 3 calling C code.
The aim of this project is to provide a convenient and 
reliable way of calling C code from Python 3. 
The interface is based on LuaJIT’s FFI.

%package doc
Summary:        Documentation for CFFI
Group:          Development/Python
BuildArch:      noarch

%description doc
Documentation for CFFI, the Foreign Function Interface for Python.

%prep
%setup -q -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

cp -a . %{py3dir}
find %{py3dir} -name '*.py' | xargs sed -i '1s|^#!python|#!%{__python3}|'


%build
pushd %{py3dir}
%py3_build
popd

%py2_build
pushd doc
make html
rm build/html/.buildinfo
popd



%install
pushd %{py3dir}
%py3_install
popd

%py2_install


%files
%{python2_sitearch}/%{pypi_name}
%{python2_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python2_sitearch}/*.so


%files -n python3-%{pypi_name}
%{python3_sitearch}/%{pypi_name}
%{python3_sitearch}/%{pypi_name}-%{version}-py?.?.egg-info
%{python3_sitearch}/*.so

%files doc
%doc doc/build/html



%changelog
* Tue Jun 19 2018 kekepower <kekepower> 1.7.0-1.mga6
  (not released yet)
+ Revision: 1238144
- Update to version 1.7.0 (mga#23111)

* Tue May 10 2016 philippem <philippem> 1.6.0-1.mga6
+ Revision: 1012169
- update to 1.6.0

* Tue Feb 16 2016 philippem <philippem> 1.5.2-1.mga6
+ Revision: 962442
- update to 1.5.2

* Fri Jan 22 2016 daviddavid <daviddavid> 1.5.0-1.mga6
+ Revision: 926482
- new version: 1.5.0

* Sat Dec 19 2015 philippem <philippem> 1.4.1-1.mga6
+ Revision: 912173
- update to 1.4.1

* Fri Nov 20 2015 philippem <philippem> 1.3.1-1.mga6
+ Revision: 904498
- update to 1.3.1

* Wed Oct 28 2015 philippem <philippem> 1.3.0-1.mga6
+ Revision: 896094
- update to 1.3.0

* Thu Oct 08 2015 tv <tv> 1.2.1-2.mga6
+ Revision: 887586
- BR python3-sphinx_rtd_theme
- rebuild for python 3.5

* Sat Sep 26 2015 philippem <philippem> 1.2.1-1.mga6
+ Revision: 883917
- update to 1.2.1

* Sat Jul 25 2015 philippem <philippem> 1.1.2-1.mga6
+ Revision: 857634
- update to 1.1.2

* Wed Oct 15 2014 umeabot <umeabot> 0.8.6-4.mga5
+ Revision: 739808
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.8.6-3.mga5
+ Revision: 728178
- rebuild for missing pythoneggs deps
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Mon Aug 11 2014 philippem <philippem> 0.8.6-1.mga5
+ Revision: 661684
- update to 0.8.6

* Sat May 31 2014 pterjan <pterjan> 0.8.1-3.mga5
+ Revision: 629733
- Rebuild for new Python

* Sat May 31 2014 pterjan <pterjan> 0.8.1-2.mga5
+ Revision: 628495
- Rebuild for new Python

* Wed Mar 05 2014 philippem <philippem> 0.8.1-1.mga5
+ Revision: 600060
- Update to 0.8.1

* Tue Oct 22 2013 umeabot <umeabot> 0.7.2-3.mga4
+ Revision: 543234
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 0.7.2-2.mga4
+ Revision: 498217
- Rebuild to add different pythonegg provides for python 2 and 3

* Mon Oct 07 2013 philippem <philippem> 0.7.2-1.mga4
+ Revision: 492705
- imported package python-cffi

